/**
 * @file liboasis-usb-att-i.h
 *
 * @brief OASIS USB Attenuator driver library internal definitions
 *
 * Copyright (c) 2018 CERN
 * @author Tomasz Włostowski <tomasz.wlostowski@cern.ch>
 * @author Juan David Gonzalez Cobas <dcobas@cern.ch>
 *
 * @section license_sec License
 * Released under the GPL v2. (and only v2, not any later version)
 */


#ifndef __LIBOASIS_USB_ATT_I_H
#define __LIBOASIS_USB_ATT_I_H

#define OAU_VENDOR_ID 0x1556	/* CERN USB Vendor ID */
#define OAU_DEVICE_ID 0x0443	/* oau USB Device ID */

#define OAU_FTDI_VENDOR_ID 0x403	/* FTDI Vendor ID */
#define OAU_FTDI_DEVICE_ID 0x6010	/* FTDI Product ID */

#define	OAU_MANUFACTURER	"CERN"
#define	OAU_PRODUCT		"OASIS RF Attenuator"

#define OAU_MAX_HANDLES 16
#define OAU_NUM_CHANNELS 4

#endif /* __LIBOASIS_USB_ATT_I_H */
